> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /classcentral/courses/search

> Search and filter the Class Central (classcentral.com) cross-provider course catalog

**Price:** 20 credits per 15 results



## OpenAPI

````yaml /openapi/education-courses.json post /api/classcentral/courses/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/classcentral/courses/search:
    post:
      tags:
        - /classcentral
      summary: /classcentral/courses/search
      description: >-
        Search and filter the Class Central (classcentral.com) cross-provider
        course catalog


        **Price:** 20 credits per 15 results
      operationId: __api_classcentral_courses_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClasscentralCoursesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClasscentralCourseCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClasscentralCoursesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          default: ''
        count:
          type: integer
          minimum: 1
        subject:
          anyOf:
            - type: string
            - type: 'null'
        level:
          anyOf:
            - $ref: '#/components/schemas/ClasscentralLevel'
            - type: 'null'
        language:
          anyOf:
            - $ref: '#/components/schemas/ClasscentralLanguage'
            - type: 'null'
        duration:
          anyOf:
            - $ref: '#/components/schemas/ClasscentralDuration'
            - type: 'null'
        free:
          anyOf:
            - type: boolean
            - type: 'null'
        certificate:
          anyOf:
            - type: boolean
            - type: 'null'
        university:
          anyOf:
            - type: boolean
            - type: 'null'
        career:
          anyOf:
            - type: boolean
            - type: 'null'
        sort:
          $ref: '#/components/schemas/ClasscentralSort'
          default: relevancy
      type: object
      required:
        - count
    ClasscentralCourseCard:
      properties:
        '@type':
          type: string
          default: ClasscentralCourseCard
        id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        course_format:
          anyOf:
            - type: string
            - type: 'null'
        provider:
          anyOf:
            - type: string
            - type: 'null'
        institution:
          anyOf:
            - type: string
            - type: 'null'
        subject:
          anyOf:
            - type: string
            - type: 'null'
        level:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        workload:
          anyOf:
            - type: string
            - type: 'null'
        has_certificate:
          anyOf:
            - type: boolean
            - type: 'null'
        is_free:
          anyOf:
            - type: boolean
            - type: 'null'
        is_university:
          anyOf:
            - type: boolean
            - type: 'null'
        is_classroom:
          anyOf:
            - type: boolean
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
      type: object
      required:
        - id
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ClasscentralLevel:
      type: string
      enum:
        - beginner
        - intermediate
        - advanced
    ClasscentralLanguage:
      type: string
      enum:
        - arabic
        - basque
        - bengali
        - chinese
        - english
        - french
        - german
        - hebrew
        - hindi
        - indonesian
        - italian
        - japanese
        - korean
        - polish
        - portuguese
        - russian
        - spanish
        - tamil
        - telugu
        - thai
        - turkish
        - urdu
        - vietnamese
    ClasscentralDuration:
      type: string
      enum:
        - under_30min
        - 30_to_60min
        - 1_to_2h
        - 2_to_5h
        - 5_to_10h
        - over_10h
    ClasscentralSort:
      type: string
      enum:
        - relevancy
        - newest
        - highest_rated
        - lowest_rated
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````